From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Mon, 26 Jun 2023 14:08:43 +0200
Subject: redpine: fix build error by removing always-true evaluation

Neither the mainline driver includes this buggy evaluation, so remove it.
---
 drivers/net/wireless/redpine/rsi_91x_mac80211.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/drivers/net/wireless/redpine/rsi_91x_mac80211.c b/drivers/net/wireless/redpine/rsi_91x_mac80211.c
index d3a1bb6..044f499 100644
--- a/drivers/net/wireless/redpine/rsi_91x_mac80211.c
+++ b/drivers/net/wireless/redpine/rsi_91x_mac80211.c
@@ -1585,7 +1585,7 @@ static int rsi_hal_key_config(struct ieee80211_hw *hw,
 			      key->cipher,
 			      sta_id);
 
-	if ((vif->type == NL80211_IFTYPE_STATION) && (key->key) &&
+	if ((vif->type == NL80211_IFTYPE_STATION) &&
 	    ((key->cipher == WLAN_CIPHER_SUITE_WEP104) ||
 	    (key->cipher == WLAN_CIPHER_SUITE_WEP40))) {
 		adapter->priv->start_bgscan = 1;
